require("hyperdirichlet" , quietly=TRUE, save=FALSE)

volleyball_results <-
  matrix( c(
            1,  0, NA,  1,  0,  0, NA,  1, NA,
           NA, NA,  1,  1,  0,  1,  0,  0, NA,
           NA, NA,  1,  1,  0, NA,  1,  0, NA,
           NA,  1,  1,  0,  0, NA,  1,  1, NA,
            1,  1,  1,  0,  0,  0, NA, NA, NA,
            1,  1,  0, NA,  1,  1,  0,  0,  0,
            0,  1,  0, NA,  1,  1,  0,  1,  0,
            1,  1,  0, NA,  0,  1,  0,  0,  0,
            1,  0,  1, NA,  0,  0,  1,  1,  0,
           NA, NA, NA, NA, NA,  0,  1,  1,  0,
            0, NA,  1,  1,  0,  0,  1,  1,  0,
           NA, NA,  1,  0,  1,  0,  1,  1,  0,
           NA, NA,  1,  0,  1,  0,  1,  1,  0,
            0,  1,  0,  1,  0, NA, NA, NA,  0,
            1,  0,  0,  1,  1, NA, NA, NA,  0,
            1,  0,  1,  0,  1,  0,  0,  1,  0,
            1,  0,  1,  0,  1,  0,  0,  0,  0,
            1,  0,  1,  0,  1,  0,  0,  1,  0,
            1,  0,  1, NA, NA,  0,  0,  1,  0,
            1,  0,  1, NA,  1,  0,  0,  1,  0,
            1,  0,  1,  0,  1,  0, NA,  0,  1,
            1,  0,  1,  0,  1,  0,  0, NA,  0,
           NA, NA, NA,  0, NA, NA,  0,  0,  1,
           NA, NA, NA,  0, NA, NA,  0,  0,  1,
           NA,  0, NA, NA, NA,  0,  0,  1,  1,
           NA, NA,  1,  0,  1,  0,  1,  1,  0,
           NA,  1, NA, NA, NA,  1,  0,  0,  1,
            1,  1,  0,  0,  1,  0,  0,  0, NA,
            1,  0,  0,  0,  1,  0,  0,  1,  1,
            1,  0, NA,  0,  1,  0,  0,  1,  1,
            1,  0, NA,  0,  1,  0,  0, NA,  1,
            1,  0, NA,  1,  0,  0,  0, NA,  1,
            1,  0, NA,  1,  0,  1,  0, NA,  1,
            1,  0, NA,  0,  1,  1,  0, NA,  1,
            1,  0, NA,  0,  1,  0,  0, NA,  1,
            1,  0, NA, NA,  1,  0,  0, NA,  1,
            1,  0,  0,  0,  0,  1,  1,  0,  1,
           NA,  1,  1,  1,  0,  0,  1,  0,  0,
           NA,  1,  1,  1,  0,  0,  1,  0,  0,
            1,  0,  0,  1, NA, NA, NA, NA, NA,
            0,  1,  0,  0,  0,  1,  1,  1,  0,
            0,  1,  1,  0,  0,  0,  1,  1,  1,
            0,  0,  1,  1,  1,  1,  1,  1,  1,
            NA, 1, NA,  0, NA,  1, NA,  1,  0,
            1,  0,  0,  1,  0,  0,  0, NA, NA,
            0,  1,  1,  0,  1,  1,  1, NA, NA,
            0,  1,  1,  1,  1,  0,  1,  0,  1,
            0,  1,  1,  1,  1,  0,  1,  0,  1,
            0,  1,  1,  1,  1,  0,  1, NA,  1,
            0, NA,  1,  1,  1,  0,  1, NA,  1,
            0, NA,  1,  1,  1,  0,  1, NA,  1,
            0, NA,  1,  1,  1,  0,  1, NA,  1
            ),
         byrow=TRUE , ncol=9
         )
            
vb <- as.hyperdirichlet(volleyball_results, bernoulli=TRUE)

vb_synthetic <-
  hyperdirichlet(c(
                   0, 9, 8, 11, 9, 12, 10, 10, 12, 6, 12, 3, 10, 6, 7, 4, 8, 13, 
                   9, 8, 14, 10, 2, -1, 18, 4, 9, 7, 7, 4, 5, -2, 10, 20, 14, 5, 
                   8, 7, 10, 4, 10, 12, 12, 4, 5, 5, 3, -4, 19, 7, 10, 8, 12, 5, 
                   3, -5, 6, 9, 2, -6, 9, -2, -3, -8, 11, 15, 9, 9, 8, 9, 5, 3, 
                   15, 10, 12, 2, 5, 5, 7, -3, 14, 9, 10, 4, 10, 4, 6, -5, 8, 4, 
                   2, -5, 2, 0, -2, -10, 16, 10, 6, 2, 12, 4, 8, -4, 13, 6, 9, -1, 
                   7, -2, -3, -8, 15, 6, 4, -3, 9, -3, -4, -11, 8, -2, -1, -9, -1, 
                   -11, -13, -23, 20, 16, 14, 12, 20, 14, 7, 4, 21, 8, 13, 7, 15, 
                   6, 1, -2, 17, 15, 10, 4, 5, 8, 3, -1, 13, 15, 6, -2, 6, -2, -2, 
                   -19, 9, 9, 10, 11, 7, 8, 9, -5, 11, 5, 3, -8, 12, 4, 0, -16, 
                   9, 6, 7, -2, 3, 1, -1, -7, 6, -1, 0, -14, -6, -14, -10, -13, 
                   20, 7, 10, 6, 18, 9, 3, 0, 20, 4, 6, -3, 6, -1, 1, -6, 18, 6, 
                   2, -6, 7, -1, -5, -9, 6, 2, -5, -12, -4, -15, -8, -17, 8, 7, 
                   11, -1, 2, 0, -7, -13, 6, 1, -4, -10, 0, -14, -14, -22, 11, 2, 
                   -2, -10, -6, -9, -12, -21, -3, -13, -6, -26, -9, -24, -28, -53, 
                   17, 16, 17, 15, 18, 15, 15, 13, 23, 15, 20, 8, 17, 3, 4, -1, 
                   22, 13, 12, 5, 18, 3, 13, -2, 15, 5, 3, -3, 8, 1, -4, -8, 18, 
                   13, 14, 5, 17, 4, 12, 0, 17, 7, 7, 0, 7, 1, -1, -9, 16, 5, 5, 
                   0, 3, -3, 0, -11, 12, -2, -6, -7, -5, -14, -10, -24, 29, 13, 
                   15, 6, 21, 9, 9, -2, 16, 9, 3, 0, 8, 1, -2, -3, 14, 4, 13, 2, 
                   7, 4, -5, -12, 8, 0, -2, -12, 0, -12, -13, -28, 18, 7, 6, -3, 
                   10, 2, 1, -7, -1, -1, -2, -9, 2, -8, -5, -23, 7, -8, 5, -13, 
                   -2, -11, -14, -29, 1, -12, -6, -24, -6, -24, -16, -56, 32, 23, 
                   11, 11, 18, 10, 11, -6, 18, 12, 12, -1, 9, 0, 2, -9, 17, 6, 9, 
                   2, 12, 4, -2, -8, 5, -1, -3, -9, -1, -8, -11, -21, 14, 13, 9, 
                   -1, 8, -1, 1, -13, 15, 1, -4, -8, -2, -11, -8, -25, 9, 1, -1, 
                   -12, -1, -9, -8, -20, -3, -13, -6, -21, -6, -22, -23, -59, 11, 
                   12, 7, 3, 11, 2, -1, -12, 10, -1, -3, -7, -5, -12, -10, -16, 
                   11, -5, -1, -8, 0, -11, -10, -31, -5, -6, -7, -16, -11, -19, 
                   -25, -56, 8, -1, 3, -14, 3, -10, -6, -24, -2, -8, -13, -24, -13, 
                   -26, -27, -48, 0, -8, -15, -21, -5, -25, -25, -58, 0, -29, -26, 
                   -42, -26, -60, -48, -123),
                 validated=TRUE)
                 
